View Issue Details

IDProjectCategoryView StatusLast Update
0032653CommunityOCCT:Modeling Datapublic2022-06-18 16:04
Reporterlad Assigned Toaml  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.5.0 
Target Version7.7.0 
Summary0032653: Modeling Data - misprint in Geom2d_Conic.hxx api SetYAxis(const gp_Ax2d& theAY)
DescriptionIt's pos.SetXAxis(theAY), Maybe pos.SetYAxis(theAY) is right.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Activities

git

2022-06-17 09:22

administrator   ~0109053

Branch CR32653 has been created by aml.

SHA-1: 86395c4afe5c55ae0002219d743d2b8ff4acb0c8


Detailed log of new commits:

Author: aml
Date: Fri Jun 17 09:20:51 2022 +0300

    0032653: Modeling Data - misprint in Geom2d_Conic.hxx api SetYAxis(const gp_Ax2d& theAY)
    
    Fix misprint.

aml

2022-06-17 13:34

developer   ~0109065

Dear Artem,

It seems that this misprint has no effect on existing codebase. I propose to integrate the patch.

Jenkins job is:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32653-master-aml/view/ALL/

afokin

2022-06-18 12:25

administrator   ~0109084

Combination -
OCCT branch : IR-2022-06-17
master SHA - 94748ad20e40864e60c1035e254ee5afffdc0d50
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-06-17 SHA - ba8a8a69d4213a88c9195eab6343815f702b57bb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18769.010000000537 / 18860.170000000642 [-0.48%]
Products
Total CPU difference: 11750.300000000107 / 11722.3800000001 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 20650.375 / 20670.390625 [-0.10%]
Products
Total CPU difference: 13263.109375 / 13253.046875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-06-18 16:04

administrator   ~0109086

Branch CR32653 has been deleted by mnt.

SHA-1: 86395c4afe5c55ae0002219d743d2b8ff4acb0c8

Related Changesets

occt: master 94748ad2

2022-06-17 09:20:51

aml


Committer: afokin Details Diff
0032653: Modeling Data - misprint in Geom2d_Conic.hxx api SetYAxis(const gp_Ax2d& theAY)

Fix misprint.
Affected Issues
0032653
mod - src/Geom2d/Geom2d_Conic.hxx Diff File

Issue History

Date Modified Username Field Change
2021-11-10 11:18 lad New Issue
2021-11-10 11:18 lad Assigned To => msv
2021-11-10 11:21 kgv Product Version => 7.5.0
2021-11-10 11:21 kgv Target Version => 7.7.0
2021-11-10 11:21 kgv Summary The Geom2d_Conic.hxx Api SetYAxis(const gp_Ax2d& theAY) has an error Implement´╝č => Modeling Data - misprint in Geom2d_Conic.hxx api SetYAxis(const gp_Ax2d& theAY)
2022-06-17 09:22 git Note Added: 0109053
2022-06-17 13:34 aml Assigned To msv => azv
2022-06-17 13:34 aml Status new => resolved
2022-06-17 13:34 aml Steps to Reproduce Updated
2022-06-17 13:34 aml Note Added: 0109065
2022-06-17 16:18 azv Assigned To azv => bugmaster
2022-06-17 16:18 azv Status resolved => reviewed
2022-06-18 12:24 afokin Test case number => Not required
2022-06-18 12:25 afokin Status reviewed => tested
2022-06-18 12:25 afokin Note Added: 0109084
2022-06-18 16:00 afokin Changeset attached => occt master 94748ad2
2022-06-18 16:00 aml Assigned To bugmaster => aml
2022-06-18 16:00 aml Status tested => verified
2022-06-18 16:00 aml Resolution open => fixed
2022-06-18 16:04 git Note Added: 0109086